More Android Woes!

panagiotis merakos panos.merakos at livecode.com
Wed Dec 21 18:52:24 CET 2016


Hi Dan,

This error is caused because of a combination of installed packages in
Android SDK Manager that tsNet does not like.

I am now on macOS Sierra, LC 8.1.1, JDK 1.8.0_111.jdk.

Here is a working combination for me:

Android 2.2

Android 4.0.3

Android 4.4.2


Android SDK *Build-Tools* 24.0.3

Android SDK *Platform-Tools* 25.0.3

Android SDK *Tools* 25.2.4


You could probably try to install *exactly* those, and uninstall everything
that is not in this list (e.g. Android 7.1.1 etc).


Keep us posted.


Best,

Panos

--



On Wed, Dec 21, 2016 at 5:33 PM, Dan Friedman <dan at clearvisiontech.com>
wrote:

> Panos,
>
> Thank you for the very quick response!  From what I can tell, I have all
> the proper settings.  In Android Studio (2.2.3), I have Android 7.1.1, 5.1,
> 4.0.3 and 2.2 installed.  I have SDK Tools 23.0.2, 24.0.3 and 25.0.2
> enabled.   LC “Mobile Support” shows JDK 1.8.0_111.jdk.
>
> I’m on a Mac 10.12.1
> LiveCode 8.1.1 and 8.1.0 (fails on both)
>
> I don’t know what I have wrong?  Any other thoughts?   I have just a few
> hairs left in my head.  :)
>
> -Dan
>
>
>
> > Hi Dan,
> >
> > This sounds exactly the same as the problem Paul had, see bug
> >
> > http://quality.livecode.com/show_bug.cgi?id=19001
> >
> >
> > Regarding the Push Messaging issue, I think I have seen a bug report
> about
> > it. I'll have a look now.
> >
> > Best,
> > Panos
>
> _______________________________________________
> use-livecode mailing list
> use-livecode at lists.runrev.com
> Please visit this url to subscribe, unsubscribe and manage your
> subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode
>



-- 
Panagiotis Merakos <panos.merakos at livecode.com>
LiveCode Software Developer

Everyone Can Create Apps <https://livecode.com>


More information about the use-livecode mailing list